﻿
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Text;
#if SILVERLIGHT
using System.Windows.Controls;
#else
using Microsoft.Win32;
#endif
using System.Windows.Input;
using System.Windows.Media.Imaging;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;
using Telerik.Windows.Media.Imaging;
using System.Windows.Controls;

namespace Exporting
{
    public class ViewModel : ViewModelBase
    {
        public ObservableCollection<Appointment> Appointments { get; private set; }

        public ViewModel()
        {
            var today = DateTime.Today;
            var endOfDay = new DateTime(today.Year, today.Month, today.Day, 23, 59, 59);
            var startOfDay = new DateTime(today.Year, today.Month, today.Day, 0, 0, 0);

            this.Appointments = new ObservableCollection<Appointment>()
			{
				new Appointment() { Subject = "First Appointment", Start = startOfDay.AddDays(5), End = startOfDay.AddHours(1).AddDays(5)},
				new Appointment() { Subject = "Last Appointment", Start = endOfDay.AddHours(-1).AddDays(5), End = endOfDay.AddDays(5)}
			};
        }
    }
}
